Subject: Re: [PATCH net-next 1/2] IB/hfi1: Do not use custom stat allocator

From: Leon Romanovsky <[email-masked]>
Date: Sun, 5 May 2024 17:10:32 +0300

On Fri, May 03, 2024 at 04:13:31AM -0700, Breno Leitao wrote:
> With commit 34d21de99cea9 ("net: Move {l,t,d}stats allocation to core and
> convert veth & vrf"), stats allocation could be done on net core
> instead of in this driver.
> 
> With this new approach, the driver doesn't have to bother with error
> handling (allocation failure checking, making sure free happens in the
> right spot, etc). This is core responsibility now.
> 
> Remove the allocation in the hfi1 driver and leverage the network
> core allocation instead.
> 
> Signed-off-by: Breno Leitao <[email-masked]>
> ---
>  drivers/infiniband/hw/hfi1/ipoib_main.c | 19 +++----------------
>  1 file changed, 3 insertions(+), 16 deletions(-)

Please use rdma-next in the PATCH subject line, when sending patches for RDMA.

Thanks